lwIP 2.1.2 Lightweight IP stack

Macros
DHCP
lwIP » Options (lwipopts.h) » IPv4

## Macros
#define | LWIP_DHCP 0
#define | DHCP_DOES_ARP_CHECK (LWIP_DHCP && LWIP_ARP)
#define | LWIP_DHCP_BOOTP_FILE 0
#define | LWIP_DHCP_GET_NTP_SRV 0
#define | LWIP_DHCP_MAX_NTP_SERVERS 1
#define | LWIP_DHCP_MAX_DNS_SERVERS DNS_MAX_SERVERS

## Detailed Description

## Macro Definition Documentation

## ◆ DHCP_DOES_ARP_CHECK

#define DHCP_DOES_ARP_CHECK (LWIP_DHCP && LWIP_ARP)

DHCP_DOES_ARP_CHECK==1: Do an ARP check on the offered address.

## ◆ LWIP_DHCP

#define LWIP_DHCP 0

LWIP_DHCP==1: Enable DHCP module.

## ◆ LWIP_DHCP_BOOTP_FILE

#define LWIP_DHCP_BOOTP_FILE 0

LWIP_DHCP_BOOTP_FILE==1: Store offered_si_addr and boot_file_name.

## ◆ LWIP_DHCP_GET_NTP_SRV

#define LWIP_DHCP_GET_NTP_SRV 0

LWIP_DHCP_GETS_NTP==1: Request NTP servers with discover/select. For each response packet, an callback is called, which has to be provided by the port: void dhcp_set_ntp_servers(u8_t num_ntp_servers, ip_addr_t* ntp_server_addrs);

## ◆ LWIP_DHCP_MAX_DNS_SERVERS

#define LWIP_DHCP_MAX_DNS_SERVERS DNS_MAX_SERVERS

LWIP_DHCP_MAX_DNS_SERVERS > 0: Request DNS servers with discover/select. DNS servers received in the response are passed to DNS via dns_setserver() (up to the maximum limit defined here).

## ◆ LWIP_DHCP_MAX_NTP_SERVERS

#define LWIP_DHCP_MAX_NTP_SERVERS 1

The maximum of NTP servers requested